# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes
dirac_instr::Overlay Class Reference

Class managing instrumentation overlay.

`#include <overlay.h>`

List of all members.

## Public Member Functions
| Overlay (const OverlayParams &, Picture &)
| constructor
| ~Overlay ()
| Destructor.
void | ProcessPicture (const MEData &, const OLBParams &)
void | ProcessPicture ()

## Private Member Functions
void | DoOverlay (const MEData &)
| Manages overlay based on command-line option.
void | CalculateFactors (const ChromaFormat &)
| Calculates chroma sample factors.
void | PadPicture (const MEData &)
| Calculates if picture requires padding.
void | GlobalMotionDifference (const MEData &, MvArray &)
| Remove global motion from block motion.

## Private Attributes
int | m_mv_scale
| Temporal scaling factor for motion vectors.
int | m_ref
| Local copy of reference offset.
const OverlayParams | m_oparams
| Overlay parameters.
Picture & | m_picture
| Local reference to picture.
DrawPictureMotionParams | m_draw_params
| Parameters for drawing picture overlays.

## Constructor & Destructor Documentation

dirac_instr::Overlay::Overlay | ( | const OverlayParams & | ,
|  | Picture & |
| ) |  |

dirac_instr::Overlay::~Overlay | ( |  | ) |

## Member Function Documentation

void dirac_instr::Overlay::CalculateFactors | ( | const ChromaFormat & |  | ) |
| private

void dirac_instr::Overlay::DoOverlay | ( | const MEData & |  | ) |
| private

void dirac_instr::Overlay::GlobalMotionDifference | ( | const MEData & | ,
|  | MvArray & |
| ) |  |
| private

void dirac_instr::Overlay::PadPicture | ( | const MEData & |  | ) |
| private

void dirac_instr::Overlay::ProcessPicture | ( | const MEData & | ,
|  | const OLBParams & |
| ) |  |

void dirac_instr::Overlay::ProcessPicture | ( |  | ) |

## Member Data Documentation

DrawPictureMotionParams dirac_instr::Overlay::m_draw_params
| private

int dirac_instr::Overlay::m_mv_scale
| private

const OverlayParams dirac_instr::Overlay::m_oparams
| private

Picture& dirac_instr::Overlay::m_picture
| private

int dirac_instr::Overlay::m_ref
| private

The documentation for this class was generated from the following file:

- overlay.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.